Google uses AI technology to translate content into your preferred language. AI translations can contain errors.
Method: spaces.messages.replaceCards
使用集合让一切井井有条
根据您的偏好保存内容并对其进行分类。
替换消息中包含的卡片。仅当人工创建的消息已包含卡片,且这些卡片是由 Chat 应用创建时,Chat 应用才能替换该消息中的卡片。
如果应用使用空列表替换卡券,则卡券会被移除。移除卡片后,应用无法将卡片重新添加到消息中。
需要使用以下授权范围进行应用身份验证:- https://www.googleapis.com/auth/chat.bot
HTTP 请求
POST https://chat.googleapis.com/v1/{name=spaces/*/messages/*}:replaceCards
网址采用 gRPC 转码语法。
路径参数
| 参数 |
name |
string
必需。消息的资源名称。 格式:spaces/{space}/messages/{message}
|
请求正文
请求正文中包含结构如下的数据:
| JSON 表示法 |
{
"cardsV2": [
{
object (CardWithId)
}
]
} |
| 字段 |
cardsV2[] |
object (CardWithId)
可选。要包含在消息中的卡片数组。这些卡片将替换消息的现有卡片。如果为空,则会清除消息中包含的原始卡片。
|
授权范围
需要以下 OAuth 范围:
https://www.googleapis.com/auth/chat.bot
如需了解详情,请参阅授权指南。
如未另行说明,那么本页面中的内容已根据知识共享署名 4.0 许可获得了许可,并且代码示例已根据 Apache 2.0 许可获得了许可。有关详情,请参阅 Google 开发者网站政策。Java 是 Oracle 和/或其关联公司的注册商标。
最后更新时间 (UTC):2026-03-10。
[[["易于理解","easyToUnderstand","thumb-up"],["解决了我的问题","solvedMyProblem","thumb-up"],["其他","otherUp","thumb-up"]],[["没有我需要的信息","missingTheInformationINeed","thumb-down"],["太复杂/步骤太多","tooComplicatedTooManySteps","thumb-down"],["内容需要更新","outOfDate","thumb-down"],["翻译问题","translationIssue","thumb-down"],["示例/代码问题","samplesCodeIssue","thumb-down"],["其他","otherDown","thumb-down"]],["最后更新时间 (UTC):2026-03-10。"],[],[]]